const util = require('../utils/util.js')
/**
 * 本API中全部用于 消息 相关接口 
 */

/* 获取我的学分信息 */
const getMyMsg = (callback) => {
  util.requestApi({
    url: util.config.URL_PATH + '/v2/education/message/my',
    callback: function (res) {
      let json = res.data.map(function (_, i) {
        return {
          isRead: false,
          id: _.id,
          text: _.message,
          time: _.created_time,
          isShow: false // 该字段用来做 每条信息的打开、关闭
        }
      })
      callback(json)
    }
  })
}
module.exports = {
  getMyMsg: getMyMsg
}